import { Dispatcher, EventBus } from '../../bus';
import { Information } from './information';
export declare class InformationManager extends Dispatcher {
    readonly eventBus: EventBus;
    protected informations: Map<string, Information>;
    constructor(eventBus: EventBus);
    get length(): number;
    get all(): Information[];
    set(informations: Information[]): void;
    add(information: Information): void;
    delete(information: Information): void;
    destroy(): void;
}
